Skip to Content
veriom

List MCP ingestions

GET
/v1/workspaces/{workspace_id}/mcp/ingestions

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/mcp/ingestions'
Example Response
{  "has_more": false,  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "error_code": "string",      "evidence_count": 0,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "source_kind": "string",      "status": "string",      "updated_at": "2019-08-24T14:15:22Z",      "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb"    }  ],  "next_cursor": "string"}